HUGO-MOD-VERIFY(1)

NAME
hugo-mod-verify - Verify dependencies

SYNOPSIS
hugo mod verify [flags] [args]

DESCRIPTION
Verify checks that the dependencies of the current module, which are stored in a local downloaded source cache, have not been modified since being downloaded.

OPTIONS
-b, --baseURL=""
    hostname (and path) to the root, e.g. https://spf13.com/

--cacheDir=""
    filesystem path to cache directory

--clean[=false]
    delete module cache for dependencies that fail verification

-c, --contentDir=""
    filesystem path to content directory

-h, --help[=false]
    help for verify

--renderSegments=[]
    named segments to render (configured in the segments config)

-t, --theme=[]
    themes to use (located in /themes/THEMENAME/)

OPTIONS INHERITED FROM PARENT COMMANDS
--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--noBuildLock[=false]
    don't create .hugo_build.lock file

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

SEE ALSO
hugo-mod(1)